Update to rails 4.0.5
authorTom Hughes <tom@compton.nu>
Sun, 11 May 2014 09:03:05 +0000 (10:03 +0100)
committerTom Hughes <tom@compton.nu>
Sun, 11 May 2014 09:03:05 +0000 (10:03 +0100)
Gemfile
Gemfile.lock

diff --git a/Gemfile b/Gemfile
index 8203be2303cf10a5f54e74fba8f9a264181237ed..0cdf8ce7fd3d6907edc66ca5c44468228845e4fb 100644 (file)
--- a/Gemfile
+++ b/Gemfile
@@ -1,7 +1,7 @@
 source 'http://rubygems.org'
 
 # Require rails
-gem 'rails', '4.0.4'
+gem 'rails', '4.0.5'
 
 # Require things which have moved to gems in ruby 1.9
 gem 'bigdecimal', "~> 1.1.0", :platforms => :ruby_19
index f095d624fddf7fa6d1f2356526a8acc966298ac9..fc2d4f54be3bd967bd64696e16f5c7850fe9ef6b 100644 (file)
@@ -2,34 +2,33 @@ GEM
   remote: http://rubygems.org/
   specs:
     SystemTimer (1.2.3)
-    actionmailer (4.0.4)
-      actionpack (= 4.0.4)
+    actionmailer (4.0.5)
+      actionpack (= 4.0.5)
       mail (~> 2.5.4)
-    actionpack (4.0.4)
-      activesupport (= 4.0.4)
+    actionpack (4.0.5)
+      activesupport (= 4.0.5)
       builder (~> 3.1.0)
       erubis (~> 2.7.0)
       rack (~> 1.5.2)
       rack-test (~> 0.6.2)
     actionpack-page_caching (1.0.2)
       actionpack (>= 4.0.0, < 5)
-    activemodel (4.0.4)
-      activesupport (= 4.0.4)
+    activemodel (4.0.5)
+      activesupport (= 4.0.5)
       builder (~> 3.1.0)
-    activerecord (4.0.4)
-      activemodel (= 4.0.4)
+    activerecord (4.0.5)
+      activemodel (= 4.0.5)
       activerecord-deprecated_finders (~> 1.0.2)
-      activesupport (= 4.0.4)
+      activesupport (= 4.0.5)
       arel (~> 4.0.0)
     activerecord-deprecated_finders (1.0.3)
-    activesupport (4.0.4)
+    activesupport (4.0.5)
       i18n (~> 0.6, >= 0.6.9)
       minitest (~> 4.2)
       multi_json (~> 1.3)
       thread_safe (~> 0.1)
       tzinfo (~> 0.3.37)
     arel (4.0.2)
-    atomic (1.1.15)
     bigdecimal (1.1.0)
     builder (3.1.4)
     capybara (2.2.1)
@@ -41,7 +40,7 @@ GEM
     climate_control (0.0.3)
       activesupport (>= 3.0)
     cliver (0.3.2)
-    cocaine (0.5.3)
+    cocaine (0.5.4)
       climate_control (>= 0.0.3, < 1.0)
     coffee-rails (4.0.1)
       coffee-script (>= 2.2.0)
@@ -50,10 +49,10 @@ GEM
       coffee-script-source
       execjs
     coffee-script-source (1.7.0)
-    colorize (0.7.0)
-    composite_primary_keys (6.0.1)
+    colorize (0.7.2)
+    composite_primary_keys (6.0.3)
       activerecord (>= 4.0.0)
-    dalli (2.7.0)
+    dalli (2.7.1)
     deadlock_retry (1.2.0)
     dynamic_form (1.1.4)
     erubis (2.7.0)
@@ -75,10 +74,10 @@ GEM
     jsonify-rails (0.3.2)
       actionpack
       jsonify (< 0.4.0)
-    jwt (0.1.11)
+    jwt (0.1.13)
       multi_json (>= 1.5)
     kgio (2.9.2)
-    konacha (3.2.0)
+    konacha (3.2.2)
       actionpack (>= 3.1, < 5)
       capybara
       colorize
@@ -89,9 +88,9 @@ GEM
       mime-types (~> 1.16)
       treetop (~> 1.4.8)
     mime-types (1.25.1)
-    mini_portile (0.5.2)
+    mini_portile (0.5.3)
     minitest (4.7.5)
-    multi_json (1.9.0)
+    multi_json (1.10.0)
     multi_xml (0.5.5)
     multipart-post (2.0.0)
     nokogiri (1.6.1)
@@ -124,8 +123,8 @@ GEM
       multi_json (~> 1.0)
       websocket-driver (>= 0.2.0)
     polyglot (0.3.4)
-    psych (2.0.4)
-    r2 (0.2.2)
+    psych (2.0.5)
+    r2 (0.2.3)
     rack (1.5.2)
     rack-cors (0.2.9)
     rack-openid (1.4.2)
@@ -133,34 +132,34 @@ GEM
       ruby-openid (>= 2.1.8)
     rack-test (0.6.2)
       rack (>= 1.0)
-    rails (4.0.4)
-      actionmailer (= 4.0.4)
-      actionpack (= 4.0.4)
-      activerecord (= 4.0.4)
-      activesupport (= 4.0.4)
+    rails (4.0.5)
+      actionmailer (= 4.0.5)
+      actionpack (= 4.0.5)
+      activerecord (= 4.0.5)
+      activesupport (= 4.0.5)
       bundler (>= 1.3.0, < 2.0)
-      railties (= 4.0.4)
+      railties (= 4.0.5)
       sprockets-rails (~> 2.0.0)
-    rails-i18n (4.0.1)
+    rails-i18n (4.0.2)
       i18n (~> 0.6)
-      rails (~> 4.0)
-    railties (4.0.4)
-      actionpack (= 4.0.4)
-      activesupport (= 4.0.4)
+      rails (>= 4.0)
+    railties (4.0.5)
+      actionpack (= 4.0.5)
+      activesupport (= 4.0.5)
       rake (>= 0.8.7)
       thor (>= 0.18.1, < 2.0)
-    rake (10.1.1)
+    rake (10.3.1)
     redcarpet (3.1.1)
     rinku (1.7.3)
     ruby-openid (2.5.0)
     sanitize (2.1.0)
       nokogiri (>= 1.4.4)
-    sass (3.2.15)
-    sass-rails (4.0.2)
+    sass (3.2.19)
+    sass-rails (4.0.3)
       railties (>= 4.0.0, < 5.0)
       sass (~> 3.2.0)
       sprockets (~> 2.8, <= 2.11.0)
-      sprockets-rails (~> 2.0.0)
+      sprockets-rails (~> 2.0)
     soap4r-ruby1.9 (2.0.5)
     sprockets (2.11.0)
       hike (~> 1.2)
@@ -171,21 +170,20 @@ GEM
       actionpack (>= 3.0)
       activesupport (>= 3.0)
       sprockets (~> 2.8)
-    thor (0.18.1)
-    thread_safe (0.2.0)
-      atomic (>= 1.1.7, < 2)
+    thor (0.19.1)
+    thread_safe (0.3.3)
     tilt (1.4.1)
     timecop (0.7.1)
     treetop (1.4.15)
       polyglot
       polyglot (>= 0.3.1)
     tzinfo (0.3.39)
-    uglifier (2.4.0)
+    uglifier (2.5.0)
       execjs (>= 0.3.0)
       json (>= 1.8.0)
     validates_email_format_of (1.5.3)
-    vendorer (0.1.14)
-    websocket-driver (0.3.2)
+    vendorer (0.1.15)
+    websocket-driver (0.3.3)
     xpath (2.0.0)
       nokogiri (~> 1.3)
 
@@ -221,7 +219,7 @@ DEPENDENCIES
   psych
   r2
   rack-cors
-  rails (= 4.0.4)
+  rails (= 4.0.5)
   rails-i18n (~> 4.0.0)
   redcarpet
   rinku (>= 1.2.2)